#include "rc.h"
#include <stdio.h>
#include <stdlib.h>

int main() {
    rc_state rc = rc_state_create(1.0, 1.0, 1.0);

    double v, v_ini;
    v = v_ini = 0.0;

    double dt = 0.001;
    double max_t = 5.0;
    for (double t = 0.0; t < max_t; t += dt) {
        double ve = exact_solution(t, v_ini, &rc);
        printf("t = %f, v = %f, v_e = %f, diff = %f\n", t, v, ve, ve - v);
        v = rc_advance(v, dt, &rc);
    }

    return EXIT_SUCCESS;
}